Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Xf

    java.lang.Object
      Biff
          jet.report.xls.Xf

    public class Xf

extends Biff

Description: Extended Format. Record Body Length: 20 bytes Record Body Byte Structure: Byte Number Byte Description Contents (hex) 0-1 Index to the FONT record 2-3 Index to the FORMAT record 4-5 cell_options 6-7 alignment_options 8-9 indention_options 10-11 border_options 12-13 palette_options 14-17 adtl_palette_options 18-19 fill_palette_options; A Xf class extends Biff class.

Field Summary
`static short` | `ALT_BARS` Wide dots
`static short` | `BIG_SPOTS` Large spots
`static short` | `BRICKS` Brick-like layout
`static short` | `CENTER`
`static short` | `CENTER_SELECTION`
`static short` | `CINDENT`
`static short` | `DASH_DOT`
`static short` | `DASH_DOT_DOT`
`static short` | `DASHED`
`static int` | `DGBOTTOM`
`static int` | `DGDIAG`
`static short` | `DGLEFT`
`static short` | `DGRIGHT`
`static short` | `DGTOP`
`static int` | `DIAGBOTH`
`static short` | `DIAGDOWN`
`static int` | `DIAGUP`
`static short` | `DIAMONDS` Diamonds
`static short` | `DOTTED`
`static short` | `DOUBLE`
`static short` | `F123PREFIX`
`static short` | `FATRALC`
`static short` | `FATRBDR`
`static short` | `FATRFNT`
`static short` | `FATRNUM`
`static short` | `FATRPAT`
`static int` | `FATRPROT`
`static short` | `FHIDDEN`
`static short` | `FILL`
`static short` | `FINE_DOTS` Small fine dots
`static short` | `FJUSTLAST`
`static short` | `FLOCKED` The values of
`static int` | `FLS`
`static short` | `FMERGECELL`
`static short` | `FSHRINKTOFIT`
`static short` | `FSTYLE`
`static short` | `FSXBUTTON`
`static short` | `FWRAP`
`static int` | `GENERAL`
`static short` | `HAIR`
`static short` | `ICVBACK`
`static int` | `ICVBOTTOM`
`static int` | `ICVDIAG`
`static short` | `ICVFORE`
`static short` | `ICVLEFT`
`static short` | `ICVRIGHT`
`static int` | `ICVTOP`
`static int` | `IXFPARENT`
`static short` | `JUSTIFY`
`static short` | `LEFT`
`static short` | `MEDIUM`
`static short` | `MEDIUM_DASH_DOT`
`static short` | `MEDIUM_DASH_DOT_DOT`
`static short` | `MEDIUM_DASHED`
`static short` | `NO_FILL` No background
`static short` | `NONE`
`static int` | `ORDER_CONTEXT`
`static short` | `ORDER_LTOR`
`static short` | `ORDER_RTOL`
`static short` | `RIGHT`
`static short` | `SLANTED_DASH_DOT`
`static short` | `SOLID_FOREGROUND` Solidly filled
`static short` | `SPARSE_DOTS` Sparse dots
`static short` | `SQUARES` Squares
`static short` | `THICK`
`static short` | `THICK_BACKWARD_DIAG` Thick backward facing diagonals
`static short` | `THICK_FORWARD_DIAG` Thick forward facing diagonals
`static short` | `THICK_HORZ_BANDS` Thick horizontal bands
`static short` | `THICK_VERT_BANDS` Thick vertical bands
`static short` | `THIN`
`static short` | `THIN_BACKWARD_DIAG` Thin backward diagonal
`static short` | `THIN_FORWARD_DIAG` Thin forward diagonal
`static short` | `THIN_HORZ_BANDS` Thin horizontal bands
`static short` | `THIN_VERT_BANDS` Thin vertical bands
`static int` | `TROT`
`static short` | `VERTICAL_BOTTOM`
`static short` | `VERTICAL_CENTER`
`static short` | `VERTICAL_JUSTIFY`
`static int` | `VERTICAL_TOP`

Constructor Summary
`Xf()` Constructs a Xf record with default value.
`Xf(short font, short format, short cell_options, short alignment_options, short indention_options, short border_options, short palette_options, int adtl_palette_options, short fill_palette_options)` Constructs a Xf record and sets its fields appropriately.
`Xf(Xf xf)` Constructs a BFont record with a BFont record existed.

Method Summary
`boolean` | `equals(java.lang.Object object)`
`short` | `getBorderBottom()` get the border line style for the bottom border
`short` | `getBorderLeft()` get the border line style for the left border
`short` | `getBorderRight()` get the border line style for the right border
`short` | `getBorderTop()` get the border line style for the top border
`short` | `getDgDiag()` get the diagonal border line style
`int` | `getFls()` get the fill pattern
`int` | `getIcvBack()` get the background palette color index
`int` | `getIcvBottom()` get the palette index for the bottom border color
`int` | `getIcvDiag()` get the palette index for the diagonal border color
`int` | `getIcvFore()` get the foreground palette color index
`int` | `getIcvLeft()` get the palette index for the left border color
`int` | `getIcvRight()` get the palette index for the right border color
`int` | `getIcvTop()` get the palette index for the top border color
`short` | `getIndent()` get indention (not sure of the units, think its spaces)
`short` | `getixfParent()` get XF index of the parent style (usually 0/normal).
`short` | `getTrot()` get the degree of rotation.
`boolean` | `is123Prefix()` get some old holdover from lotus 123.
`boolean` | `isAtrAlc()` get whether or not to use the alignment in this XF instead of the parent XF.
`boolean` | `isAtrBdr()` get whether or not to use the border in this XF instead of the parent XF.
`boolean` | `isAtrFnt()` get whether or not to use the font in this XF instead of the parent XF.
`boolean` | `isAtrNum()` get whether or not to use the format in this XF instead of the parent XF.
`boolean` | `isAtrPat()` get whether or not to use the pattern in this XF instead of the parent XF.
`boolean` | `isAtrProt()` get whether or not to use the locking/hidden in this XF instead of the parent XF.
`boolean` | `isCenter_selection()` get the alignment of text in the cell
`boolean` | `isCenter()` Get the alignment of text in the cell RETURN whether to center
`boolean` | `isDiagboth()` get whether diag both
`boolean` | `isDiagdown()` get whether diag down
`boolean` | `isDiagup()` get whether diag up
`boolean` | `isFill()` get the alignment of text in the cell
`boolean` | `isGeneral()` get the alignment of text in the cell return whether to general
`boolean` | `isHidden()` get whether the cell is hidden or not
`boolean` | `isJustify()` get the alignment of text in the cell
`boolean` | `isJustLast()` Dunno.
`boolean` | `isLeft()` set the alignment of text in the cell
`boolean` | `isLocked()` get whether the cell is locked or not
`boolean` | `isMergeCell()` get whether to merge cells
`boolean` | `isOrder_context()` get the reading order for far east versions
`boolean` | `isOrder_LToR()` get the reading order for far east versions
`boolean` | `isOrder_RToL()` get the reading order for far east versions
`boolean` | `isRight()` get the alignment of text in the cell
`boolean` | `isShrinkToFit()` get whether to shrink the text to fit
`boolean` | `isStyle()` get whether the cell is a cell or style XFRecord
`boolean` | `isSxButton()` get whether the Xf record is attached to a PivotTable button
`boolean` | `isVertical_bottom()` get the vertical alignment of text in the cell
`boolean` | `isVertical_center()` get the vertical center alignment of text in the cell
`boolean` | `isVertical_justify()` get the vertical alignment of text in the cell
`boolean` | `isVertical_top()` get the vertical alignment of text in the cell
`boolean` | `isWrap()` get whether to wrap the text in the cell see param FWRAP
`int` | `opcode()` get the opcode of Xf.
`int` | `output(RandomAccessStream stream)` output the record Xf
`void` | `set123Prefix(boolean prefix)` set some old holdover from lotus 123.
`void` | `setAlignment(int align)` set the alignment of the cell
`void` | `setAtrAlc(boolean atralc)` set whether or not to use the alignment in this XF instead of the parent XF.
`void` | `setAtrBdr(boolean atrbdr)` set whether or not to use the border in this XF instead of the parent XF.
`void` | `setAtrFnt(boolean atrfnt)` set whether or not to use the font in this XF instead of the parent XF.
`void` | `setAtrNum(boolean atrnum)` set whether or not to use the format in this XF instead of the parent XF.
`void` | `setAtrPat(boolean atrpat)` set whether or not to use the pattern in this XF instead of the parent XF.
`void` | `setAtrProt(boolean atrprot)` set whether or not to use the locking/hidden in this XF instead of the parent XF.
`void` | `setBorderBottom(short border)` set the border line style for the bottom border
`void` | `setBorderLeft(short border)` set the border line style for the left border
`void` | `setBorderRight(short border)` set the border line style for the right border
`void` | `setBorderTop(short border)` set the border line style for the top border
`void` | `setDgDiag(short border)` set the diagonal border line style? Who the heck ever heard of a diagonal border?
`void` | `setDiagboth(boolean diagboth)` set whether diag both
`void` | `setDiagdown(boolean diagdown)` set whether diag down
`void` | `setDiagup(boolean diagup)` set whether diag up
`void` | `setFls(int fls)` set the fill pattern
`void` | `setFontIndex(short index)` set the index of BFont record.
`void` | `setFormatIndex(short index)` set the index of Format record.
`void` | `setHidden(boolean hidden)` set whether the cell is hidden or not
`void` | `setIcvBack(int icvback)` set the background palette color index
`void` | `setIcvBottom(int icvbottom)` set the palette index for the bottom border color
`void` | `setIcvDiag(int icvdiag)` set the palette index for the diagonal border color
`void` | `setIcvFore(int icvfore)` set the foreground palette color index
`void` | `setIcvLeft(int icvleft)` set the palette index for the left border color
`void` | `setIcvRight(int icvright)` set the palette index for the right border color
`void` | `setIcvTop(int icvtop)` set the palette index for the top border color
`void` | `setIndent(short indent)` set indention (not sure of the units, think its spaces) if the cell alignment is Left, it is be set, else it to be set 0
`void` | `setixfParent(short ixf)` set XF index of the parent style (usually 0/normal).
`void` | `setJustLast(boolean justlast)` Dunno.
`void` | `setLocked(boolean locked)` set whether the cell is locked or not
`void` | `setMergeCell(boolean mergecell)` set whether to merge cells
`void` | `setReadOrder(int order)` set the reading order for far east versions
`void` | `setShrinkToFit(boolean shrinktofit)` set whether to shrink the text to fit
`void` | `setStyle(boolean style)` set whether the cell is a cell or style XFRecord
`void` | `setSxButton(boolean sxbutton)` set whether the Xf record is attached to a PivotTable button
`void` | `setTextRotationDegree(short degree)` set the text rotation degree
`void` | `setTrot(short trot)` set the degree of rotation.
`void` | `setVAlignment(int valc)` set the vertical alignment of the cell
`void` | `setWrap(boolean wrap)` set whether to wrap the text in the cell see param FWRAP
`java.lang.String` | `toString()` get the Returns a string representation of the Xf

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FLOCKED

    public static final short FLOCKED

  The values of

  See Also:
    Constant Field Values

### FHIDDEN

    public static final short FHIDDEN

See Also:
  Constant Field Values

### FSTYLE

    public static final short FSTYLE

See Also:
  Constant Field Values

### F123PREFIX

    public static final short F123PREFIX

See Also:
  Constant Field Values

### IXFPARENT

    public static final int IXFPARENT

See Also:
  Constant Field Values

### GENERAL

    public static final int GENERAL

See Also:
  Constant Field Values

### LEFT

    public static final short LEFT

See Also:
  Constant Field Values

### CENTER

    public static final short CENTER

See Also:
  Constant Field Values

### RIGHT

    public static final short RIGHT

See Also:
  Constant Field Values

### FILL

    public static final short FILL

See Also:
  Constant Field Values

### JUSTIFY

    public static final short JUSTIFY

See Also:
  Constant Field Values

### CENTER_SELECTION

    public static final short CENTER_SELECTION

See Also:
  Constant Field Values

### FWRAP

    public static final short FWRAP

See Also:
  Constant Field Values

### VERTICAL_TOP

    public static final int VERTICAL_TOP

See Also:
  Constant Field Values

### VERTICAL_CENTER

    public static final short VERTICAL_CENTER

See Also:
  Constant Field Values

### VERTICAL_BOTTOM

    public static final short VERTICAL_BOTTOM

See Also:
  Constant Field Values

### VERTICAL_JUSTIFY

    public static final short VERTICAL_JUSTIFY

See Also:
  Constant Field Values

### FJUSTLAST

    public static final short FJUSTLAST

See Also:
  Constant Field Values

### TROT

    public static final int TROT

See Also:
  Constant Field Values

### CINDENT

    public static final short CINDENT

See Also:
  Constant Field Values

### FSHRINKTOFIT

    public static final short FSHRINKTOFIT

See Also:
  Constant Field Values

### FMERGECELL

    public static final short FMERGECELL

See Also:
  Constant Field Values

### ORDER_CONTEXT

    public static final int ORDER_CONTEXT

See Also:
  Constant Field Values

### ORDER_LTOR

    public static final short ORDER_LTOR

See Also:
  Constant Field Values

### ORDER_RTOL

    public static final short ORDER_RTOL

See Also:
  Constant Field Values

### FATRNUM

    public static final short FATRNUM

See Also:
  Constant Field Values

### FATRFNT

    public static final short FATRFNT

See Also:
  Constant Field Values

### FATRALC

    public static final short FATRALC

See Also:
  Constant Field Values

### FATRBDR

    public static final short FATRBDR

See Also:
  Constant Field Values

### FATRPAT

    public static final short FATRPAT

See Also:
  Constant Field Values

### FATRPROT

    public static final int FATRPROT

See Also:
  Constant Field Values

### DGLEFT

    public static final short DGLEFT

See Also:
  Constant Field Values

### DGRIGHT

    public static final short DGRIGHT

See Also:
  Constant Field Values

### DGTOP

    public static final short DGTOP

See Also:
  Constant Field Values

### DGBOTTOM

    public static final int DGBOTTOM

See Also:
  Constant Field Values

### NONE

    public static final short NONE

See Also:
  Constant Field Values

### THIN

    public static final short THIN

See Also:
  Constant Field Values

### MEDIUM

    public static final short MEDIUM

See Also:
  Constant Field Values

### DASHED

    public static final short DASHED

See Also:
  Constant Field Values

### DOTTED

    public static final short DOTTED

See Also:
  Constant Field Values

### THICK

    public static final short THICK

See Also:
  Constant Field Values

### DOUBLE

    public static final short DOUBLE

See Also:
  Constant Field Values

### HAIR

    public static final short HAIR

See Also:
  Constant Field Values

### MEDIUM_DASHED

    public static final short MEDIUM_DASHED

See Also:
  Constant Field Values

### DASH_DOT

    public static final short DASH_DOT

See Also:
  Constant Field Values

### MEDIUM_DASH_DOT

    public static final short MEDIUM_DASH_DOT

See Also:
  Constant Field Values

### DASH_DOT_DOT

    public static final short DASH_DOT_DOT

See Also:
  Constant Field Values

### MEDIUM_DASH_DOT_DOT

    public static final short MEDIUM_DASH_DOT_DOT

See Also:
  Constant Field Values

### SLANTED_DASH_DOT

    public static final short SLANTED_DASH_DOT

See Also:
  Constant Field Values

### ICVLEFT

    public static final short ICVLEFT

See Also:
  Constant Field Values

### ICVRIGHT

    public static final short ICVRIGHT

See Also:
  Constant Field Values

### DIAGDOWN

    public static final short DIAGDOWN

See Also:
  Constant Field Values

### DIAGUP

    public static final int DIAGUP

See Also:
  Constant Field Values

### DIAGBOTH

    public static final int DIAGBOTH

See Also:
  Constant Field Values

### ICVTOP

    public static final int ICVTOP

See Also:
  Constant Field Values

### ICVBOTTOM

    public static final int ICVBOTTOM

See Also:
  Constant Field Values

### ICVDIAG

    public static final int ICVDIAG

See Also:
  Constant Field Values

### DGDIAG

    public static final int DGDIAG

See Also:
  Constant Field Values

### FLS

    public static final int FLS

See Also:
  Constant Field Values

### ICVFORE

    public static final short ICVFORE

See Also:
  Constant Field Values

### ICVBACK

    public static final short ICVBACK

See Also:
  Constant Field Values

### FSXBUTTON

    public static final short FSXBUTTON

See Also:
  Constant Field Values

### NO_FILL

    public static final short NO_FILL

  No background

  See Also:
    Constant Field Values

### SOLID_FOREGROUND

    public static final short SOLID_FOREGROUND

  Solidly filled

  See Also:
    Constant Field Values

### FINE_DOTS

    public static final short FINE_DOTS

  Small fine dots

  See Also:
    Constant Field Values

### ALT_BARS

    public static final short ALT_BARS

  Wide dots

  See Also:
    Constant Field Values

### SPARSE_DOTS

    public static final short SPARSE_DOTS

  Sparse dots

  See Also:
    Constant Field Values

### THICK_HORZ_BANDS

    public static final short THICK_HORZ_BANDS

  Thick horizontal bands

  See Also:
    Constant Field Values

### THICK_VERT_BANDS

    public static final short THICK_VERT_BANDS

  Thick vertical bands

  See Also:
    Constant Field Values

### THICK_BACKWARD_DIAG

    public static final short THICK_BACKWARD_DIAG

  Thick backward facing diagonals

  See Also:
    Constant Field Values

### THICK_FORWARD_DIAG

    public static final short THICK_FORWARD_DIAG

  Thick forward facing diagonals

  See Also:
    Constant Field Values

### BIG_SPOTS

    public static final short BIG_SPOTS

  Large spots

  See Also:
    Constant Field Values

### BRICKS

    public static final short BRICKS

  Brick-like layout

  See Also:
    Constant Field Values

### THIN_HORZ_BANDS

    public static final short THIN_HORZ_BANDS

  Thin horizontal bands

  See Also:
    Constant Field Values

### THIN_VERT_BANDS

    public static final short THIN_VERT_BANDS

  Thin vertical bands

  See Also:
    Constant Field Values

### THIN_BACKWARD_DIAG

    public static final short THIN_BACKWARD_DIAG

  Thin backward diagonal

  See Also:
    Constant Field Values

### THIN_FORWARD_DIAG

    public static final short THIN_FORWARD_DIAG

  Thin forward diagonal

  See Also:
    Constant Field Values

### SQUARES

    public static final short SQUARES

  Squares

  See Also:
    Constant Field Values

### DIAMONDS

    public static final short DIAMONDS

  Diamonds

  See Also:
    Constant Field Values

Constructor Detail

### Xf

    public Xf()

  Constructs a Xf record with default value.

### Xf

    public Xf(Xf xf)

  Constructs a BFont record with a BFont record existed.

### Xf

    public Xf(short font,
              short format,
              short cell_options,
              short alignment_options,
              short indention_options,
              short border_options,
              short palette_options,
              int adtl_palette_options,
              short fill_palette_options)

  Constructs a Xf record and sets its fields appropriately.

  Parameters:
    `font` - Index to the FONT record
    `format` - Index to the FORMAT record
    `cell_options` - Cell options
    `alignment_options` - Alignment options.
    `indention_options` - Indention options.
    `border_options` - Border options.
    `palette_options` - Palette options.
    `adtl_palette_options` - Palette options..
    `fill_palette_options` - Palette options..

Method Detail

### opcode

    public final int opcode()

  get the opcode of Xf.

### toString

    public java.lang.String toString()

  get the Returns a string representation of the Xf

  Returns:
    a string representation of the object.

### equals

    public boolean equals(java.lang.Object object)

### setFontIndex

    public void setFontIndex(short index)

  set the index of BFont record.

  Parameters:
    `index` - The index of BFont record.

### setFormatIndex

    public void setFormatIndex(short index)

  set the index of Format record.

  Parameters:
    `index` - The index of Format record.

### isLocked

    public boolean isLocked()

  get whether the cell is locked or not

  Returns:
    whether the cell is locked
  See Also:
    `FLOCKED`

### setLocked

    public void setLocked(boolean locked)

  set whether the cell is locked or not

  Parameters:
    `locked` - - if the cell is locked
  See Also:
    `FLOCKED`

### isHidden

    public boolean isHidden()

  get whether the cell is hidden or not

  Returns:
    whether the cell is hidden
  See Also:
    `FHIDDEN`

### setHidden

    public void setHidden(boolean hidden)

  set whether the cell is hidden or not

  Parameters:
    `hidden` - - if the cell is hidden
  See Also:
    `FHIDDEN`

### isStyle

    public boolean isStyle()

  get whether the cell is a cell or style XFRecord

  Returns:
    type - cell or style (0/1)
  See Also:
    `FSTYLE`

### setStyle

    public void setStyle(boolean style)

  set whether the cell is a cell or style XFRecord

  Parameters:
    `type` - - cell or style (0/1)
  See Also:
    `FSTYLE`

### is123Prefix

    public boolean is123Prefix()

  get some old holdover from lotus 123. Who cares, its all over for Lotus. RIP Lotus.

  Returns:
    whether the lotus thing to set.
  See Also:
    `F123PREFIX`

### set123Prefix

    public void set123Prefix(boolean prefix)

  set some old holdover from lotus 123. Who cares, its all over for Lotus. RIP Lotus.

  Parameters:
    `prefix` - - the lotus thing to set.
  See Also:
    `F123PREFIX`

### setixfParent

    public void setixfParent(short ixf)

  set XF index of the parent style (usually 0/normal). For style this should be NULL.

  Parameters:
    `ixf` - index of parent XF
  See Also:
    `IXFPARENT`

### getixfParent

    public short getixfParent()

  get XF index of the parent style (usually 0/normal).

  Returns:
    index of parent XF
  See Also:
    `IXFPARENT`

### setAlignment

    public void setAlignment(int align)

  set the alignment of the cell

  See Also:
    `GENERAL`, `LEFT`, `CENTER`, `RIGHT`, `FILL`, `JUSTIFY`, `CENTER_SELECTION 1 for left; 2 for center; 3 for right; 4 for fill; 5 for justify 6 for center across selection.`

### isGeneral

    public boolean isGeneral()

  get the alignment of text in the cell return whether to general

  See Also:
    `GENERAL`

### isLeft

    public boolean isLeft()

  set the alignment of text in the cell

  Returns:
    whether to left
  See Also:
    `LEFT`

### isCenter

    public boolean isCenter()

  Get the alignment of text in the cell RETURN whether to center

  See Also:
    `CENTER`

### isRight

    public boolean isRight()

  get the alignment of text in the cell

  Returns:
    whether to right
  See Also:
    `RIGHT`

### isFill

    public boolean isFill()

  get the alignment of text in the cell

  Returns:
    whether to fill
  See Also:
    `FILL`

### isJustify

    public boolean isJustify()

  get the alignment of text in the cell

  Returns:
    whether to justify
  See Also:
    `JUSTIFY`

### isCenter_selection

    public boolean isCenter_selection()

  get the alignment of text in the cell

  Returns:
    whether to center_selection
  See Also:
    `CENTER_SELECTION`

### isWrap

    public boolean isWrap()

  get whether to wrap the text in the cell see param FWRAP

  Returns:
    whether or not to wrap the cell text

### setWrap

    public void setWrap(boolean wrap)

  set whether to wrap the text in the cell see param FWRAP

  Parameters:
    `wrap` - - whether or not to wrap the cell text

### setVAlignment

    public void setVAlignment(int valc)

  set the vertical alignment of the cell

  See Also:
    `VERTICAL_TOP`, `VERTICAL_CENTER`, `VERTICAL_BOTTOM`, `VERTICAL_JUSTIFY`

### isVertical_top

    public boolean isVertical_top()

  get the vertical alignment of text in the cell

  Returns:
    whether to top
  See Also:
    `VERTICAL_TOP`

### isVertical_center

    public boolean isVertical_center()

  get the vertical center alignment of text in the cell

  Returns:
    whether to center
  See Also:
    `VERTICAL_CENTER`

### isVertical_bottom

    public boolean isVertical_bottom()

  get the vertical alignment of text in the cell

  Returns:
    whether to bottom
  See Also:
    `VERTICAL_BOTTOM`

### isVertical_justify

    public boolean isVertical_justify()

  get the vertical alignment of text in the cell

  Returns:
    whether to justify
  See Also:
    `VERTICAL_JUSTIFY`

### isJustLast

    public boolean isJustLast()

  Dunno. Docs just say this is for far east versions.. (I'm guessing it justifies for right-to-left read languages)

  See Also:
    `FJUSTLAST`

### setJustLast

    public void setJustLast(boolean justlast)

  Dunno. Docs just say this is for far east versions.. (I'm guessing it justifies for right-to-left read languages)

  Parameters:
    `justlast` -
  See Also:
    `FJUSTLAST`

### setTextRotationDegree

    public void setTextRotationDegree(short degree)

  set the text rotation degree

  Parameters:
    `degree,` - its value may be -90~+90

### setTrot

    public void setTrot(short trot)

  set the degree of rotation. (I've not actually seen this used anywhere)

  Parameters:
    `trot` - the degree of rotation

### getTrot

    public short getTrot()

  get the degree of rotation. (I've not actually seen this used anywhere)

  Returns:
    the degree of rotation

### setIndent

    public void setIndent(short indent)

  set indention (not sure of the units, think its spaces) if the cell alignment is Left, it is be set, else it to be set 0

  Parameters:
    `indent` - - how far to indent the cell

### getIndent

    public short getIndent()

  get indention (not sure of the units, think its spaces)

  Returns:
    how far to indent the cell

### isShrinkToFit

    public boolean isShrinkToFit()

  get whether to shrink the text to fit

  Returns:
    shrink to fit or not
  See Also:
    `FSHRINKTOFIT`

### setShrinkToFit

    public void setShrinkToFit(boolean shrinktofit)

  set whether to shrink the text to fit

  Parameters:
    `shrinktofit` - - shrink to fit or not
  See Also:
    `FSHRINKTOFIT`

### isMergeCell

    public boolean isMergeCell()

  get whether to merge cells

  Returns:
    merge cells or not
  See Also:
    `FMERGECELL`

### setMergeCell

    public void setMergeCell(boolean mergecell)

  set whether to merge cells

  Parameters:
    `mergecell` - - merge cells or not
  See Also:
    `FMERGECELL`

### setReadOrder

    public void setReadOrder(int order)

  set the reading order for far east versions

  Parameters:
    `order_context` - - is context order or not
  See Also:
    `ORDER_CONTEXT`, `ORDER_LTOR`, `ORDER_RTOL`

### isOrder_context

    public boolean isOrder_context()

  get the reading order for far east versions

  Returns:
    is context order or not
  See Also:
    `ORDER_CONTEXT`

### isOrder_LToR

    public boolean isOrder_LToR()

  get the reading order for far east versions

  Returns:
    is left-to-right order or not
  See Also:
    `ORDER_LTOR`

### isOrder_RToL

    public boolean isOrder_RToL()

  get the reading order for far east versions

  Returns:
    is right-to-left order or not
  See Also:
    `ORDER_RTOL`

### isAtrNum

    public boolean isAtrNum()

  get whether or not to use the format in this XF instead of the parent XF.

  Returns:
    whether or not to use the format in this XF instead of the parent XF
  See Also:
    `FATRNUM`

### setAtrNum

    public void setAtrNum(boolean atrnum)

  set whether or not to use the format in this XF instead of the parent XF.

  Parameters:
    `atrnum` - - true if this XF has a different format value than its parent, false otherwise.
  See Also:
    `FATRNUM`

### isAtrFnt

    public boolean isAtrFnt()

  get whether or not to use the font in this XF instead of the parent XF.

  Returns:
    whether or not to use the font in this XF instead of the parent XF

### setAtrFnt

    public void setAtrFnt(boolean atrfnt)

  set whether or not to use the font in this XF instead of the parent XF.

  Parameters:
    `atrfnt` - - true if this XF has a different font value than its parent, false otherwise.

### isAtrAlc

    public boolean isAtrAlc()

  get whether or not to use the alignment in this XF instead of the parent XF.

  Returns:
    true if this XF has a different alignment value than its parent, false otherwise.

### setAtrAlc

    public void setAtrAlc(boolean atralc)

  set whether or not to use the alignment in this XF instead of the parent XF.

  Parameters:
    `atralc` - true if this XF has a different alignment value than its parent, false otherwise.

### isAtrBdr

    public boolean isAtrBdr()

  get whether or not to use the border in this XF instead of the parent XF.

  Returns:
    - true if this XF has a different border value than its parent, false otherwise.

### setAtrBdr

    public void setAtrBdr(boolean atrbdr)

  set whether or not to use the border in this XF instead of the parent XF.

  Parameters:
    `atrbdr` - - true if this XF has a different border value than its parent, false otherwise.

### isAtrPat

    public boolean isAtrPat()

  get whether or not to use the pattern in this XF instead of the parent XF. (foregrount/background)

### setAtrPat

    public void setAtrPat(boolean atrpat)

  set whether or not to use the pattern in this XF instead of the parent XF. (foregrount/background)

  Parameters:
    `atrpat-` - true if this XF has a different pattern value than its parent, false otherwise.

### isAtrProt

    public boolean isAtrProt()

  get whether or not to use the locking/hidden in this XF instead of the parent XF.

### setAtrProt

    public void setAtrProt(boolean atrprot)

  set whether or not to use the locking/hidden in this XF instead of the parent XF.

  Parameters:
    `atrprot-` - true if this XF has a different locking or hidden value than its parent, false otherwise.

### setBorderLeft

    public void setBorderLeft(short border)

  set the border line style for the left border

  Parameters:
    `border` - - type of border for the side of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getBorderLeft

    public short getBorderLeft()

  get the border line style for the left border

### setBorderRight

    public void setBorderRight(short border)

  set the border line style for the right border

  Parameters:
    `border` - - type of border for the right side of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getBorderRight

    public short getBorderRight()

  get the border line style for the right border

### setBorderTop

    public void setBorderTop(short border)

  set the border line style for the top border

  Parameters:
    `border` - - type of border for the top of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getBorderTop

    public short getBorderTop()

  get the border line style for the top border

### setBorderBottom

    public void setBorderBottom(short border)

  set the border line style for the bottom border

  Parameters:
    `border` - - type of border for the bottom of the cell
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getBorderBottom

    public short getBorderBottom()

  get the border line style for the bottom border

### setIcvLeft

    public void setIcvLeft(int icvleft)

  set the palette index for the left border color

  Parameters:
    `icvleft` - - palette index

### getIcvLeft

    public int getIcvLeft()

  get the palette index for the left border color

  Returns:
    palette index

### setIcvRight

    public void setIcvRight(int icvright)

  set the palette index for the right border color

  Parameters:
    `icvright` - - palette index

### getIcvRight

    public int getIcvRight()

  get the palette index for the right border color

  Returns:
    palette index

### isDiagdown

    public boolean isDiagdown()

  get whether diag down

  Returns:
    whether diag down.

### setDiagdown

    public void setDiagdown(boolean diagdown)

  set whether diag down

  Parameters:
    `diagdown` - - set whether diag down.

### isDiagup

    public boolean isDiagup()

  get whether diag up

  Returns:
    whether diag up.

### setDiagup

    public void setDiagup(boolean diagup)

  set whether diag up

  Parameters:
    `diagup` - - set whether diag up.

### isDiagboth

    public boolean isDiagboth()

  get whether diag both

  Returns:
    whether diag both.

### setDiagboth

    public void setDiagboth(boolean diagboth)

  set whether diag both

  Parameters:
    `diagboth` - - set whether diag both.

### setIcvTop

    public void setIcvTop(int icvtop)

  set the palette index for the top border color

  Parameters:
    `icvtop` - - palette index

### getIcvTop

    public int getIcvTop()

  get the palette index for the top border color

  Returns:
    palette index

### setIcvBottom

    public void setIcvBottom(int icvbottom)

  set the palette index for the bottom border color

  Parameters:
    `icvbottom` - - palette index

### getIcvBottom

    public int getIcvBottom()

  get the palette index for the bottom border color

  Returns:
    palette index

### setIcvDiag

    public void setIcvDiag(int icvdiag)

  set the palette index for the diagonal border color

  Parameters:
    `icvdiag` - - palette index

### getIcvDiag

    public int getIcvDiag()

  get the palette index for the diagonal border color

  Returns:
    palette index

### setDgDiag

    public void setDgDiag(short border)

  set the diagonal border line style? Who the heck ever heard of a diagonal border?

  Parameters:
    `diag` - - the line style
  See Also:
    `NONE`, `THIN`, `MEDIUM`, `DASHED`, `DOTTED`, `THICK`, `DOUBLE`, `HAIR`, `MEDIUM_DASHED`, `DASH_DOT`, `MEDIUM_DASH_DOT`, `DASH_DOT_DOT`, `MEDIUM_DASH_DOT_DOT`, `SLANTED_DASH_DOT`

### getDgDiag

    public short getDgDiag()

  get the diagonal border line style

### setFls

    public void setFls(int fls)

  set the fill pattern

  Parameters:
    `fls` - - fill pattern
  See Also:
    `NO_FILL`, `SOLID_FOREGROUND`, `FINE_DOTS`, `ALT_BARS`, `SPARSE_DOTS`, `THICK_HORZ_BANDS`, `THICK_VERT_BANDS`, `THICK_BACKWARD_DIAG`, `THICK_FORWARD_DIAG`, `BIG_SPOTS`, `BRICKS`, `THIN_HORZ_BANDS`, `THIN_VERT_BANDS`, `THIN_BACKWARD_DIAG`, `THIN_FORWARD_DIAG`, `SQUARES`, `DIAMONDS`

### getFls

    public int getFls()

  get the fill pattern

### setIcvFore

    public void setIcvFore(int icvfore)

  set the foreground palette color index

  Parameters:
    `icvfore` - - palette index

### getIcvFore

    public int getIcvFore()

  get the foreground palette color index

  Returns:
    palette index

### setIcvBack

    public void setIcvBack(int icvback)

  set the background palette color index

  Parameters:
    `icvback` - - palette index

### getIcvBack

    public int getIcvBack()

  get the background palette color index

  Returns:
    - palette index

### isSxButton

    public boolean isSxButton()

  get whether the Xf record is attached to a PivotTable button

  Returns:
    whether or not to attached to a PivotTable button

### setSxButton

    public void setSxButton(boolean sxbutton)

  set whether the Xf record is attached to a PivotTable button

  Parameters:
    `sxbutton` - - whether or not to attached to a PivotTable button

### output

    public int output(RandomAccessStream stream)
               throws java.io.IOException

  output the record Xf

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD